import { createRouter, createWebHistory } from "vue-router";
// import Home from "../pages/Home";
import Login from "../pages/Login";
import LifeNo from "../pages/Life-no/index.vue";
import LifeNoDetail from "../pages/Life-no/life-no-detail.vue";
import UserDetail from "../pages/User/user-detail.vue";
import AddRole from "../pages/Role/add-role.vue";

const routes = [
  // {
  //   path: "/home",
  //   name: "Home",
  //   component: Home
  // },
  {
    path: "/login",
    name: "Login",
    component: Login
  },
  {
    path: "/about",
    name: "About",
    component: () => import(/* webpackChunkName: "about" */ "@/pages/About")
  },

  // 企业认证管理
  {
    path: "/",
    name: "Home",
    component: () =>
      import(
        /* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Certification"
      )
  },
  {
    path: "/enterprise/certification",
    name: "Certification",
    component: () =>
      import(
        /* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Certification"
      )
  },
  {
    path: "/enterprise/audit",
    name: "Audit",
    component: () =>
      import(/* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Audit")
  },
  {
    path: "/enterprise/establish",
    name: "Establish",
    component: () =>
      import(
        /* webpackChunkName: "enterprise" */ "@/pages/Enterprise/Establish"
      )
  },
  //生活号管理
  {
    path: "/life-no/life",
    name: "LifeNo",
    component: LifeNo
  },
  {
    path: "/life-no/lifeNoDetail",
    name: "LifeNoDetail",
    component: LifeNoDetail
  },
  //用户管理
  {
    path: "/user/userDetail",
    name: "UserDetail",
    component: UserDetail
  },
  //角色管理
  {
    path: "/role/addRole",
    name: "AddRole",
    component: AddRole
  },
  {
    path: "/role",
    name: "Role",
    component: import(/* webpackChunkName: "role" */ "@/pages/Role/RoleManagement")
  }
];

const router = createRouter({
  history: createWebHistory(),
  routes
});

export default router;
